Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1520164 - Laptop lid settings are ignored on xfce4-power-manager
Summary: Laptop lid settings are ignored on xfce4-power-manager
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-power-manager
Version: 27
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-03 17:45 UTC by Matheus Guedes
Modified: 2018-11-30 21:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:27:52 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Console output using --no-daemon --debug flags (deleted)
2017-12-03 17:45 UTC, Matheus Guedes
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Xfce 12756 0 None None None 2019-07-30 08:01:12 UTC

Description Matheus Guedes 2017-12-03 17:45:34 UTC
Created attachment 1362328 [details]
Console output using --no-daemon --debug flags

Description of problem:
Whenever I close the laptop lid, the options in the power manager are ignored. It doesn't matter if I set it to lock screen, suspend, hibernate or turn screen off, the laptop will always suspend both on battery or while plugged on power.

Version-Release number of selected component (if applicable):
Version: 1.6.0
Release: 7.fc27

How reproducible:
Always reproducible.

Steps to Reproduce:
1. Open xfce4-power-manager.
2. Change "When laptop lid is closed:" on the "Laptop lid" section in the "General" tab to anything else besides suspend.
3. Close the laptop lid.

Actual results:
Laptop always suspend even if the setting was changed to something else.

Expected results:
Laptop follows the changed settings instead of suspending.

Additional info:
Hardware used is a ThinkPad X220 running Fedora 27 XFCE installed through netinstall. I changed xscreensaver to light-locker and added "Option TearFree" to a X11 config file, but I believe it doesn't affect xfce4-power-manager behavior. I am also running tlp and added an exception for it on SELinux but I haven't seen it affecting xfce4-power-manager before.

Comment 1 Mukundan Ragavan 2017-12-03 19:40:22 UTC
Thanks for the logs. I will take a look and ask for more information if needed.

Comment 2 Matheus Guedes 2017-12-16 04:37:09 UTC
I wiped my X220 clean today to do some more throughout testing, without tlp, light-locker or any other extra baggage. I am able to confirm that the results are similar to what I reported earlier, with a small caveat: It is only following what it is being set in "On battery:", even when plugged in. 

Furthermore, I went and edited flags "HandleLidSwitch=suspend" and "HandleLidSwitchDocked=ignore" in "/etc/systemd/logind.conf" and restarted its service, and while it overrides xfce4-power-manager settings, it seems like "HandleLidSwitchDocked" is ignored.

I can only conclude that there is some issue into detecting if the laptop is plugged in/docked that is present in Fedora. I also quickly checked if there was a similar issue with other distros (such as Debian and Arch), but they are working fine.

Comment 3 Fedora Update System 2017-12-23 19:34:44 UTC
xfce4-power-manager-1.6.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ec289f3b63

Comment 4 Fedora Update System 2017-12-23 19:35:10 UTC
xfce4-power-manager-1.6.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-db7878f368

Comment 5 Fedora Update System 2017-12-24 22:54:00 UTC
xfce4-power-manager-1.6.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-db7878f368

Comment 6 Fedora Update System 2017-12-24 23:22:46 UTC
xfce4-power-manager-1.6.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ec289f3b63

Comment 7 Matheus Guedes 2017-12-26 14:16:05 UTC
1.6.1.1 didn't change a thing, I also tried to regen its config (~/.config/xfce4/xfconf/xfce-perchannel-xml/xfce4-power-manager.xml) just in case by deleting it, still a no go with the original described setup (light-locker), I might test it with xscreensaver later but I doubt it would change a thing.

Furthermore, this update added a small bug where xfce4-power-manager reports the battery as fully charged before it hits 100%, it seems to have gone back to normal after I suspended the laptop.

Comment 8 Fedora Update System 2018-01-04 23:58:38 UTC
xfce4-power-manager-1.6.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-01-05 15:55:53 UTC
xfce4-power-manager-1.6.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Matheus Guedes 2018-01-11 02:11:58 UTC
Addendum:
Sadly, not fixed, and seems to be an upstream issue: https://bugzilla.xfce.org/show_bug.cgi?id=12756
As a workaround, use mate-power-manager or any other power manager replacement for now.

Comment 11 Matheus Guedes 2018-01-11 03:30:10 UTC
Finally, after some messing around, I managed to find a workaround for the upstream bug:
xfconf-query -c xfce4-power-manager -p /xfce4-power-manager/logind-handle-lid-switch -n -t bool -s false

Making it ignore logind does the trick, I believe this command could be run as a scriptlet, otherwise changing the default config file would do the trick too.

Comment 12 Erik Lentz 2018-05-04 03:17:38 UTC
I'm having the same problem on Cinnamon Desktop. Might these be related?

When plugged in, despite having it set so that a closed lid 'does nothing', it will suspend anyway.

Comment 13 Ben Cotton 2018-11-27 15:49:41 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2018-11-30 21:27:52 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.